            #GIT_CMT=e3292ae7a1e9448a19a503cdc2338f0b83557971
%define name oracle-ebs-server-R12-preinstall 
%define version 1.0
%define release 2%{?dist}
%global debug_package %{nil}

Summary: Sets the system for Oracle E-Business Suite Release 12 for Oracle Linux 8
Name: %{name}
Version: %{version}
Release:    2.el8
License: GPLv2
Vendor:Oracle
Source: oracle-ebs-server-R12-preinstall-1.0.tar.bz2
Provides: %{name} = %{version}

Conflicts:exadata-base
Requires(pre):/etc/redhat-release
Requires:bc bind-utils binutils elfutils-libelf-devel ethtool 
Requires:gcc gcc-c++ glibc-common
Requires:initscripts ksh 
Requires:libgomp libnsl
Requires:make module-init-tools 
Requires:nfs-utils openssh-clients openssl-libs pam perl-File-CheckTree 
Requires:procps psmisc redhat-lsb
Requires:smartmontools sysstat tar unzip util-linux 
Requires:xorg-x11-utils xorg-x11-xauth 

%ifarch x86_64
#64 bit versions
Requires:gdbm(%{__isa_name}-64)
Requires:glibc(%{__isa_name}-64)
Requires:glibc-devel(%{__isa_name}-64)
Requires:libaio(%{__isa_name}-64)
Requires:libaio-devel(%{__isa_name}-64)
Requires:libgcc(%{__isa_name}-64)
Requires:libstdc++(%{__isa_name}-64)
Requires:libstdc++-devel(%{__isa_name}-64)
Requires:libXp(%{__isa_name}-64)
#32bit versions
Requires:gdbm(%{__isa_name}-32)
Requires:glibc(%{__isa_name}-32)
Requires:glibc-devel(%{__isa_name}-32)
Requires:libaio(%{__isa_name}-32)
Requires:libaio-devel(%{__isa_name}-32)
Requires:libgcc(%{__isa_name}-32)
Requires:libnsl(%{__isa_name}-32)
Requires:libstdc++(%{__isa_name}-32)
Requires:libstdc++-devel(%{__isa_name}-32)
Requires:libXi(%{__isa_name}-32)
Requires:libXp(%{__isa_name}-32)
Requires:libXrender(%{__isa_name}-32)
Requires:libXtst(%{__isa_name}-32)
Requires:motif(%{__isa_name}-32)
Requires:motif-devel(%{__isa_name}-32)
%endif

BuildRoot: %{_builddir}/%{name}-%{version}-root

%description
This package installs software packages and sets system parameters required for
 Oracle E-Business Suite Release 12 on Oracle Linux 8

%prep
echo RPM_BUILD_ROOT=$RPM_BUILD_ROOT
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p -m 755 $RPM_BUILD_ROOT/etc/sysconfig/%{name}
mkdir -p -m 755 $RPM_BUILD_ROOT/usr/bin
mkdir -p -m 755 $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p -m 755 $RPM_BUILD_ROOT/etc/security/limits.d
mkdir -p -m 700 $RPM_BUILD_ROOT/var/log/%{name}/results

install -m 700 oracle-ebs-server-R12-preinstall-verify $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install -m 700 oracle-ebs-server-R12-preinstall-verify $RPM_BUILD_ROOT/usr/bin
install -m 600 oracle-ebs-server-R12-preinstall.param $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install -m 700 oracle-ebs-server-R12-preinstall-firstboot $RPM_BUILD_ROOT/etc/rc.d/init.d
touch $RPM_BUILD_ROOT/etc/security/limits.d/oracle-ebs-server-R12-preinstall.conf
ln -f -s /etc/sysconfig/%{name}/oracle-ebs-server-R12-preinstall-verify $RPM_BUILD_ROOT/usr/bin/oracle-ebs-server-R12-preinstall-verify 

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -f  /etc/sysconfig/%{name}/oracle-ebs-server-R12-preinstall.param ]; then 
  cp -f /etc/sysconfig/%{name}/oracle-ebs-server-R12-preinstall.param /var/log/%{name}/results/.oracle-ebs-server-R12-preinstall.param 
fi

%post
/usr/bin/oracle-ebs-server-R12-preinstall-verify 2> /dev/null 1>&2
if ! [ -f /etc/sysconfig/%{name}/oracle-ebs-server-R12-preinstall.conf ]; then
   chkconfig --add oracle-ebs-server-R12-preinstall-firstboot
fi

%preun
if [ "$1" = "0" ] ; then # last uninstall
 chkconfig --del oracle-ebs-server-R12-preinstall-firstboot
 if [ -x /usr/bin/oracle-ebs-server-R12-preinstall-verify ]; then
   /usr/bin/oracle-ebs-server-R12-preinstall-verify -u 2> /dev/null 1>&2
 fi
fi

%postun
if [ "$1" = "0" ] ; then # last uninstall
 if [ -d /etc/sysconfig/%{name} ]; then
   rm -rf /etc/sysconfig/%{name} 
 fi
 if [ -d /var/log/%{name} ]; then
   rm -rf /var/log/%{name}
 fi
fi

%files
%defattr(-,root,root)
%doc COPYING
%config /etc/sysconfig/%{name}/oracle-ebs-server-R12-preinstall.param
%ghost /etc/security/limits.d/oracle-ebs-server-R12-preinstall.conf
/etc/sysconfig/%{name}
/etc/rc.d/init.d/oracle-ebs-server-R12-preinstall-firstboot
/etc/sysconfig/%{name}/oracle-ebs-server-R12-preinstall-verify  
/var/log/%{name}
/usr/bin/oracle-ebs-server-R12-preinstall-verify

%changelog
* Tue Apr 18 2023 Vasundhara V <vasundhara.venkatasubramanian@oracle.com> [1.0-2.el8]
 - Added libnsl.i686 to the dependencies [Orabug: 35298518]
 - Added check for 'nobody' during user creation [Orabug: 34406788]

* Wed Aug 18 2021 Vasundhara V <vasundhara.venkatasubramanian@oracle.com> [1.0-1.el8]
 - Removed net.ipv4.tcp_tw_recycle for OL8 [Orabug: 33241908]

* Tue Aug 10 2021 Vasundhara V <vasundhara.venkatasubramanian@oracle.com> [1.0-0.2.el8]
 - grub2 related fixes for blscfg, using grubby for default kernel, numa not set on HP Superdome [Orabug: 33184767]

* Tue Aug 3 2021 Vasundhara V <vasundhara.venkatasubramanian@oracle.com> [1.0-0.1.el8]
 - Initial version
